Last Comment Bug 724137 - Support debug trace printouts in EGL
: Support debug trace printouts in EGL
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla13
Assigned To: Joe Drew (not getting mail)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 15:27 PST by Joe Drew (not getting mail)
Modified: 2012-02-10 05:02 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
debug output egl (40.77 KB, patch)
2012-02-03 15:27 PST, Joe Drew (not getting mail)
no flags Details | Diff | Splinter Review
add EGL functions output ifdef DEBUG (27.69 KB, patch)
2012-02-06 14:26 PST, Joe Drew (not getting mail)
jacob.benoit.1: review+
Details | Diff | Splinter Review

Description Joe Drew (not getting mail) 2012-02-03 15:27:28 PST
Created attachment 594331 [details] [diff] [review]
debug output egl

There is currently no MOZ_GL_DEBUG_VERBOSE support from EGL functions, which can be a little annoying. This patch implements that (and probably has some other cruft in it that needs to be fixed before committing).

(Specifically, all the #ifdef DEBUG -> #if 1 changes will need to be reverted)
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-02-03 17:18:00 PST
Aside: have you given apitrace a spin?
Comment 2 Joe Drew (not getting mail) 2012-02-03 17:48:25 PST
Benoit got the apitrace patches to apply and compile again, but says it crashed when he tried to use it. Neither of us have tried more than that.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-02-03 19:42:54 PST
Comment on attachment 594331 [details] [diff] [review]
debug output egl

Review of attachment 594331 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/gl/GLContext.cpp
@@ +58,5 @@
>  
>  namespace mozilla {
>  namespace gl {
>  
> +#if 1

Did you really intend to get review for this patch? The above makes it look more like a useful local patch, not for landing as-is.
Comment 4 Joe Drew (not getting mail) 2012-02-06 14:26:01 PST
Created attachment 594812 [details] [diff] [review]
add EGL functions output ifdef DEBUG

That's why I said "(Specifically, all the #ifdef DEBUG -> #if 1 changes will need to be reverted)" :)

Anyways, here is a cleaned-up version.
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2012-02-06 20:07:14 PST
Woops, sorry about that.
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2012-02-06 20:18:41 PST
Comment on attachment 594812 [details] [diff] [review]
add EGL functions output ifdef DEBUG

Review of attachment 594812 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/gl/GLContextProviderEGL.cpp
@@ +672,5 @@
>              return false;
>          }
>  
>  #define SYMBOL(name) \
> +    { (PRFuncPtr*) &mSymbols.f##name, { "egl" #name, NULL } }

Hah, that's clever. I wonder if it can be a little bit dangerous to use such a common name as SYMBOL for that, but that's a cpp, not a header, after all.

Are you going to generalize this trick to all our *GL symbols? I would, for once, support this use of macros!
Comment 7 Joe Drew (not getting mail) 2012-02-07 07:57:47 PST
Note that I didn't create SYMBOL, I just changed its implementation.

I don't currently have plans to generalize this trick, as I'm focused on EGL, but I have no particular issues with doing it some time in the mysterious future.
Comment 8 Mozilla RelEng Bot 2012-02-08 21:15:24 PST
Try run for cd3085bdfb4c is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=cd3085bdfb4c
Results (out of 30 total builds):
    success: 29
    warnings: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jdrew@mozilla.com-cd3085bdfb4c
Comment 9 Mozilla RelEng Bot 2012-02-08 21:15:27 PST
Try run for 74b43278cbcd is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=74b43278cbcd
Results (out of 28 total builds):
    success: 25
    warnings: 1
    failure: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jdrew@mozilla.com-74b43278cbcd
Comment 10 Joe Drew (not getting mail) 2012-02-09 11:11:24 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/c4799638be1d
Comment 11 Ed Morley [:emorley] 2012-02-10 05:02:27 PST
https://hg.mozilla.org/mozilla-central/rev/c4799638be1d

Note You need to log in before you can comment on or make changes to this bug.